%define	pkgname	py-idstools

%if 0%{?rhel} >= 6 || 0%{?suse_version} >= 1120
%define py_sitedir %{_prefix}/lib/python%{py_ver}/site-packages
%endif

Name:		python-idstools
Version:	0.5.1
Release:	5.1
Url:		https://github.com/jasonish/py-idstools
Summary:	Snort and Suricata Rule and Event Utilities in Python
License:	GPL
Group:		Applications/Internet
Source0:	%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root
Provides:	py-idstools = %{version}.%{release}
BuildRequires:	python >= 2.6
BuildRequires:	python-devel >= 2.6
BuildRequires:	python-setuptools

%description
Features
    Snort/Suricata unified2 log file reading.
    Continuous unified2 directory spool reading with bookmarking.
    Parser and mapping for classification.config.
    Parser and mapping for gen-msg.map and sid-msg.map.
    Useful utility programs.

Programs
    rulecat - Basic Suricata rule management tool.
    eve2pcap - Convert packets and payloads in eve logs to pcap.
    u2json - Convert unified2 files or spool directories to JSON.
    gensidmsgmap - Easily create a sid-msg.map file from rule files, directories or a rule tarball.
    dumpdynamicrules - Helper for dumping Snort SO dynamic rule stubs.
    u2eve - Convert unified2 files to EVE compatible JSON.


%prep
%setup -n %{pkgname}-%{version}

%build
%__python setup.py build

%install
%__python setup.py install --root %{buildroot} --prefix %{_prefix}

%files
%defattr(-,root,root)
%{_bindir}/idstools-eve2pcap
%{_bindir}/idstools-gensidmsgmap
%{_bindir}/idstools-rulecat
%{_bindir}/idstools-u2eve
%{_bindir}/idstools-u2fast
%{_bindir}/idstools-u2json
%dir %{py_sitedir}/idstools-%{version}-py%{py_ver}.egg-info
%{py_sitedir}/idstools-%{version}-py%{py_ver}.egg-info/PKG-INFO
%{py_sitedir}/idstools-%{version}-py%{py_ver}.egg-info/SOURCES.txt
%{py_sitedir}/idstools-%{version}-py%{py_ver}.egg-info/dependency_links.txt
%{py_sitedir}/idstools-%{version}-py%{py_ver}.egg-info/top_level.txt
%dir %{py_sitedir}/idstools
%{py_sitedir}/idstools/__init__.py*
%dir %{py_sitedir}/idstools/compat
%{py_sitedir}/idstools/compat/__init__.py*
%dir %{py_sitedir}/idstools/compat/argparse
%{py_sitedir}/idstools/compat/argparse/__init__.py*
%{py_sitedir}/idstools/compat/argparse/argparse.py*
%{py_sitedir}/idstools/compat/ordereddict.py*
%{py_sitedir}/idstools/maps.py*
%{py_sitedir}/idstools/net.py*
%{py_sitedir}/idstools/packet.py*
%{py_sitedir}/idstools/rule.py*
%dir %{py_sitedir}/idstools/scripts
%{py_sitedir}/idstools/scripts/__init__.py*
%{py_sitedir}/idstools/scripts/dumpdynamicrules.py*
%{py_sitedir}/idstools/scripts/eve2pcap.py*
%{py_sitedir}/idstools/scripts/gensidmsgmap.py*
%{py_sitedir}/idstools/scripts/rulecat.py*
%{py_sitedir}/idstools/scripts/u2eve.py*
%{py_sitedir}/idstools/scripts/u2fast.py*
%{py_sitedir}/idstools/scripts/u2json.py*
%{py_sitedir}/idstools/scripts/u2spewfoo.py*
%{py_sitedir}/idstools/snort.py*
%{py_sitedir}/idstools/suricata.py*
%{py_sitedir}/idstools/unified2.py*
%{py_sitedir}/idstools/util.py*
%changelog
* Sun Dec  6 2015 cs@linux-administrator.com
- initial package
